ranges::v3::minmax_element_fn Struct Reference
Algorithms

## Public Member Functions

template<typename I , typename S , typename C = ordered_less, typename P = ident, requires = (ForwardIterator<I>() && Sentinel<S, I>() && IndirectRelation<C, projected<I, P>>())>
tagged_pair< tag::min(I), tag::max(I)> | operator() (I begin, S end, C pred=C{}, P proj=P{}) const
template<typename Rng , typename C = ordered_less, typename P = ident, typename I = iterator_t<Rng>, requires = (ForwardRange<Rng>() && IndirectRelation<C, projected<I, P>>())>
meta::if_< std::is_lvalue_reference< Rng >, tagged_pair< tag::min(I), tag::max(I)>, dangling< tagged_pair< tag::min(I), tag::max(I)> > > | operator() (Rng &&rng, C pred=C{}, P proj=P{}) const